Package: openmpi / 3.1.3-11

libdir.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
Author: Alastair McKinstry <mckinstry@debian.org>
Description: Change install libdir to openmpi3
 This is needed to ensure that libopenmpi2 and libopenmpi3 do not collide.
Last-Updated: 2017-09-30
Forwarded: no


Index: openmpi-3.1.3~rc1/configure.ac
===================================================================
--- openmpi-3.1.3~rc1.orig/configure.ac
+++ openmpi-3.1.3~rc1/configure.ac
@@ -1357,11 +1357,13 @@ esac
 # easier to deal with the problem of opal, orte, and ompi built from
 # their own tarballs, with their own PACKAGE variables.
 opaldatadir='${datadir}/openmpi'
-opallibdir='${libdir}/openmpi'
+opallibdir='${libdir}/openmpi3'
 opalincludedir='${includedir}/openmpi'
+pkglibdir='${libdir}/openmpi3'
 AC_SUBST(opaldatadir)
 AC_SUBST(opallibdir)
 AC_SUBST(opalincludedir)
+AC_SUBST(pkglibdir)
 
 OPAL_SET_MCA_PREFIX([OMPI_MCA_])
 OPAL_SET_MCA_CMD_LINE_ID([mca])